Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi
Class ServerStatusTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.rsa.authagent.authapi.ServerStatusTest

All Implemented Interfaces:
  junit.framework.Test

    public class ServerStatusTest

extends junit.framework.TestCase

Description:

Constructor Summary
`ServerStatusTest(java.lang.String arg0)` Constructor for ServerStatusTest.

Method Summary
`void` | `testGetAcePort()`
`void` | `testGetAceProtocol()`
`void` | `testGetAceService()`
`void` | `testGetBaseTimeout()`
`void` | `testGetConfigVersion()`
`void` | `testGetDefAliasOptions()`
`void` | `testGetMaxRetries()`
`void` | `testGetServerInfo()`
`void` | `testGetServerRelease()`
`void` | `testServerStatus()`
`void` | `testToString()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerStatusTest

    public ServerStatusTest(java.lang.String arg0)

  Constructor for ServerStatusTest.

  Parameters:
    `arg0` -

Method Detail

### testServerStatus

    public void testServerStatus()

### testGetConfigVersion

    public void testGetConfigVersion()

### testGetMaxRetries

    public void testGetMaxRetries()

### testGetBaseTimeout

    public void testGetBaseTimeout()

### testGetAcePort

    public void testGetAcePort()

### testGetAceService

    public void testGetAceService()

### testGetAceProtocol

    public void testGetAceProtocol()

### testGetDefAliasOptions

    public void testGetDefAliasOptions()

### testGetServerRelease

    public void testGetServerRelease()

### testGetServerInfo

    public void testGetServerInfo()

### testToString

    public void testToString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.